package com.kingdee.eas.custom.shop;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractStartShopInfo extends com.kingdee.eas.xr.XRBillBaseInfo implements Serializable 
{
    public AbstractStartShopInfo()
    {
        this("id");
    }
    protected AbstractStartShopInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:店铺开业's 店铺编号property 
     */
    public String getShopNumber()
    {
        return getString("shopNumber");
    }
    public void setShopNumber(String item)
    {
        setString("shopNumber", item);
    }
    /**
     * Object:店铺开业's 品牌property 
     */
    public String getBrand()
    {
        return getString("brand");
    }
    public void setBrand(String item)
    {
        setString("brand", item);
    }
    /**
     * Object:店铺开业's 开业日期property 
     */
    public java.util.Date getShopDate()
    {
        return getDate("shopDate");
    }
    public void setShopDate(java.util.Date item)
    {
        setDate("shopDate", item);
    }
    /**
     * Object: 店铺开业 's 提交人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPrePerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("prePerson");
    }
    public void setPrePerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("prePerson", item);
    }
    /**
     * Object: 店铺开业 's 提交公司 property 
     */
    public com.kingdee.eas.basedata.org.CompanyOrgUnitInfo getCompany()
    {
        return (com.kingdee.eas.basedata.org.CompanyOrgUnitInfo)get("company");
    }
    public void setCompany(com.kingdee.eas.basedata.org.CompanyOrgUnitInfo item)
    {
        put("company", item);
    }
    /**
     * Object: 店铺开业 's 提交部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getPreDepartment()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("preDepartment");
    }
    public void setPreDepartment(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("preDepartment", item);
    }
    /**
     * Object:店铺开业's 备注property 
     */
    public String getRemark()
    {
        return getString("remark");
    }
    public void setRemark(String item)
    {
        setString("remark", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("EF6D33CB");
    }
}